###########################################################################
#                                                                         #
#  Copyright (C) 2016  Rafal Kobel <rafyco1@gmail.com>                    #
#                                                                         #
#  This program is free software: you can redistribute it and/or modify   #
#  it under the terms of the GNU General Public License as published by   #
#  the Free Software Foundation, either version 3 of the License, or      #
#  (at your option) any later version.                                    #
#                                                                         #
#  This program is distributed in the hope that it will be useful,        #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of         #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the           #
#  GNU General Public License for more details.                           #
#                                                                         #
#  You should have received a copy of the GNU General Public License      #
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.  #
#                                                                         #
###########################################################################
""" Modul zarzadzania widokami. """

from ajango.generator.config_global import ConfigGlobal

class ViewManager(object):
    """ Klasa zarzadzajaca vidokami. """
    def __init__(self):
        self.views = []
        self.code = ""
        self.imports = ""
        self.menu = None
    def add(self, view):
        """ Dodanie nowego widoku. """
        self.views.append(view)
        self.menu.add_view(view)
    def set_menu(self, menu):
        """ Ustawienie menu. """
        self.menu = menu
    def prepare_views(self, app):
        """ Przygotowanie widokow. """
        if self.menu != None:
            self.menu.execute(app.get_name())
            self.code = "%s\n%s" % (self.code,
                                    self.menu.get_renderer('renderer').render())
        for elem in self.views:
            print("Save view (%s) in application (%s)" %
                  (elem.get_name(), app.get_name()))
            elem.make_execute()
            self.code = "%s \n%s" % (self.code,
                                     elem.get_renderer('code').render())
            project_m = ConfigGlobal().get('project_manager')
            project_m.add_url(elem.get_name(), app.get_name())
        self.imports = "%s \n%s" % (self.imports, app.imp_renderer.render())
    def save_all(self, app):
        """ Zapisanie wszystkich widokow do odpowiedniej aplikacji. """
        self.prepare_views(app)
        url = app.get_url() + "/views.py"
        try:
            fview = open(url, "a")
            fview.write("# This code is generated by Ajango framework\n")
            fview.write("\n%s\n" % self.imports)
            fview.write("%s\n" % self.code)
        finally:
            fview.close()
